<?php
// Passer tous les scripts JS à la fin automatiquement
remove_action('wp_head', 'wp_print_scripts');
remove_action('wp_head', 'wp_print_head_scripts', 9);
remove_action('wp_head', 'wp_enqueue_scripts', 1);
add_action('wp_footer', 'wp_print_scripts');
add_action('wp_footer', 'wp_enqueue_scripts');
add_action('wp_footer', 'wp_print_head_scripts');

// Passer les styles CSS à la fin automatiquement
add_action('wp_print_styles', 'dequeue_all_styles');
function dequeue_all_styles() {
	global $wp_styles, $all_enqueue_styles;
	$all_enqueue_styles = $wp_styles->queue;

	foreach($wp_styles->queue as $dequeue_style) {
		wp_dequeue_style($dequeue_style);
	}

	add_action('wp_footer', 'enqueue_all_styles', 0);
	function enqueue_all_styles() {
		global $all_enqueue_styles;
		foreach($all_enqueue_styles as $enqueue_style) {
			wp_enqueue_style($enqueue_style);
		}
	}
}
?>